<?php
/**
CTE TELECOM PERSONAL, S.A. de C.V.
7-000-0000 7-070-1999
7-740-0000 7-759-9999
7-805-0000 7-809-9999
7-840-0000 7-844-9999
7-850-0000 7-869-9999
7-950-0000 7-969-9999
7-985-0000 7-989-9999
*/

function Telecom_getOperator() {
  return "Personal";
}

function Telecom_checkPhone($pre) {
  if((($pre>=70000000)&&($pre<=70399999))||
     (($pre>=77400000)&&($pre<=77499999))||
     (($pre>=78050000)&&($pre<=78099999))||
     (($pre>=78400000)&&($pre<=78449999))||
     (($pre>=78500000)&&($pre<=78699999))||
     (($pre>=79500000)&&($pre<=79699999))||
     (($pre>=79850000)&&($pre<=79899999))) {
    return true;
  }
  return false;
}

function Telecom_sendSMS($telefono,$mensaje,$firma) {
  $snoopy = new Snoopy;

  // Opciones de Snoopy (Mensajitos se muestra como IExplore 6.0)
  // Esto es por las paginas que bloquean a navegadores que no
  // sean Internet Explorer
  $snoopy->agent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)";

  
  
  /**************************************************************
   *   PROTOCOLO DE ENVIO DE MENSAJES A CLARO                   *
   *                                                            *
   * + El nuevo sistema de envio de mensajes a claro realiza    *
   *   realiza varias verificaciones de los datos que se envian *
   *   al usuario por medio del navegador.                      *
   *   Para enga�ar al sistema es necesario hacerle creer que   *
   *   los datos han sido ingresados por el usuario, por suerte *
   *   solo se realiza una verificacion simple basada en texto  *
   *   el valor de verificacion se envia al usuario como texto  *
   *   plano tambien.                                           *
   *************************************************************/

  // PASO 1
  // Accedemos a la pagina de envio de mensajes simulando un
  // navegador normal y obtenemos el codigo de validacion
  // de usuario
  
  
  // Servidor donde se encuentran las aplicaciones de telecom
  $server = "http://www.telecom.com.sv";
  // Direccion de referencia
  $snoopy->referer = "$server/app/notiavanzados/notiClaro.asp";
  // URL para mensajes de Claro
  $submit_url = "$server/app/notiavanzados/notiClaro.asp";
  
  // Se obtienen las Cookies que serian establecidas en un
  // navegador comun y corriente
  $snoopy->fetch($snoopy->referer);

  foreach($snoopy->headers as $i=>$val) {
      if(strstr($val,"Set-Cookie")) {
        preg_match("/Set\-Cookie: (.*)=(.*);/",$val,$matches);
        $snoopy->cookies[$matches[1]] = $matches[2];
      }
  }

  // Buscamos dentro del codigo fuente de la respuesta, el valor
  // de validacion que utilizaremos luego para enviar el mensaje
  preg_match("/document\.frmNotip.CG\.value!='([0-9]{1,5})'/",$snoopy->results,$matches);
  
  if(count($matches)!=2) {
    // Si no se encuentra un codigo valido, regresamos con false
    return false;
  }
  
    
  // El codigo esta almacenado en el primer elemento del arreglo
  // pasado como argumento al evaluador de expresiones regulares
  $code = $matches[1];
  
  //echo "Code: $code <br>";
  
  // Buscamos dentro del codigo fuente de la respuesta, el valor
  // de validacion que utilizaremos luego para enviar el mensaje
  preg_match("/<input\ type=\"hidden\"\ name=\"AI\"\ value=\"([0-9]{1,5})\">/",$snoopy->results,$matches);
  
  if(count($matches)!=2) {
    // Si no se encuentra un codigo valido, regresamos con false
    return false;
  }
  
  
  // El codigo esta almacenado en el primer elemento del arreglo
  // pasado como argumento al evaluador de expresiones regulares
  $ai = $matches[1];
  
  //echo "AI: $code <br>";
  
  
  // Como conocemos previamente los datos del formulario, se 
  // llenan por medio del codigo.
  $submit_vars["txtPhone"] = $telefono;
  $submit_vars["areaMsg"] = "$mensaje. $firma";
  
  // El codigo de validacion se almacena en el formulario con
  // nombre CG
  $submit_vars["CG"] = $code;
  $submit_vars["AI"] = $ai;
  $submit_vars["enviar"] = "Enviar";
  
  // Establecemos los valores para el envio de formularios
  // Para el primer caso coinciden con los valores de acceso
  // a la pagina. La diferencia se encuentra en que esta vez
  // enviaremos los datos por medio de una solicitud POST
  $snoopy->referer = "$server/app/notiavanzados/notiClaro.asp";
  $submit_url = "$server/app/notiavanzados/notiClaro.asp";
  
  // Se envian los datos del formulario
  $snoopy->submit($submit_url,$submit_vars);
  
  // Al enviar los datos se reciben otras dos nuevas cookies
  // Se capturan y almacenan dentro del micronavegador
  foreach($snoopy->headers as $i=>$val) {
      if(strstr($val,"Set-Cookie")) {
        preg_match("/Set\-Cookie: (.*)=(.*);/",$val,$matches);
        
        $snoopy->cookies[$matches[1]] = $matches[2];
      }
      
      // Guardamos la direccion a la cual nos redigiran para
      // validad el envio de mensaje.
      // La nueva direccion contiene dentro de si, el codigo
      // de validacion adecuado.
      //echo $val."<br>";
      if(strstr($val,"Location")) {
        preg_match("/Location: (.*)\r\n/",$val,$matches);
        $newLocation = $matches[1];
      }
  }
  
  //echo "NewLocation: $newLocation <br>";
  
  // PASO 2
  
  // Una vez se han obtenido las direcciones nuevamente
  // la aplicacion que recibe los mensajes borra los valores
  // de las cookies establecidas previamente. Por ello
  // es necesario que sigamos la direccion a la cual
  // se nos esta redirigiendo
  $snoopy->referer = "$server/app/notiavanzados/notiClaro.asp";
  $submit_url = "$server/app/notiavanzados/$newLocation";
  
  // Se accede a la nueva direccion.
  $snoopy->fetch($submit_url);
  foreach($snoopy->headers as $i=>$val) {
      if(strstr($val,"Set-Cookie")) {
        preg_match("/Set\-Cookie: (.*)=(.*);/",$val,$matches);
        $snoopy->cookies[$matches[1]] = $matches[2];
      }
  }

  // PASO 3
  // En esta nueva direccion se intenta redirigir al usuario por
  // medio de javascript, asi que buscamos en el codigo la  direccion
  // de la nueva pagina.
  preg_match("/location\.href\ =\ '(.*)'/",$snoopy->results,$matches);

  if(count($matches)!=2) {
    return false;
  }
  
  $resultNotiClaro = $matches[1];
  
  $snoopy->referer = "";
  $submit_url = "$server/app/notiavanzados/$resultNotiClaro";
  
  // Seguimos la ultima redireccion via javascript
  $snoopy->fetch($submit_url);
  // Copiamos los headers antes de enviar el ultimo valor de formulario
  // Rewriting headers "just in case"
  foreach($snoopy->headers as $i=>$val) {
      if(strstr($val,"Set-Cookie")) {
        preg_match("/Set\-Cookie: (.*)=(.*);/",$val,$matches);
        $snoopy->cookies[$matches[1]] = $matches[2];
      }
  }
  
  
  $submit_url = "$server/app/notiavanzados/notiClaro.asp";
  
  // Este es el ultimo valor enviado via el formulario
  $submit_vars["btnRegresar"] = " REGRESAR";
  
  // Enviamos el valor
  $snoopy->submit($submit_url,$submit_vars);

  // Forget headers from here, we dont need them anymore.
  // return true;
  return true;
}

?>